<form [formGroup]="cluster" (ngSubmit)="submit()" novalidate>
    <mat-form-field class="name">
        <mat-label>Name of Cluster</mat-label>
        <input matInput formControlName="name">
        <mat-error *ngIf="cluster.get('name')!.value.length != 0">Max length is {{Global.textFormFieldsLength}} characters.</mat-error>
    </mat-form-field>

    <mat-form-field>
        <mat-label>Description</mat-label>
        <textarea matInput formControlName="description" rows="7"></textarea>
        <mat-error *ngIf="cluster.get('description')!.value.length != 0">Max length is {{Global.textAreaFormFieldsLength}} characters.</mat-error>
    </mat-form-field>
    <h3 style="justify-self: left; margin: 0;">Select associated Profiles</h3>

    <app-select-and-filter
        *ngIf="profileList"
        [list]="profileList"
        [defaultSelection]="this.cluster.get('profiles')!.value"
        [label]="'Filter Profile List'"
        [placeholder]="'Profiles'"
        (selectedListChanged)="selectionChanged($event)"
    />
    <div class="navigation">
        <button 
            mat-fab 
            extended 
            color="primary"
            aria-label="save" 
            [disabled]="!cluster.valid"
            type="submit"
        >
            <mat-icon>send</mat-icon>
            <span *ngIf="id">Update cluster</span>
            <span *ngIf="!id">Create cluster</span>
        </button>
        <mat-spinner #spinner [ngStyle]="{'display': spinnerVisible ? 'block' : 'none'}"
            style="width: 40px; margin-left: 20px;"></mat-spinner>
    </div>
</form>